# Contributing Guide

Thank you for your interest in contributing to [AuraTrace](https://github.com/Cosmos-Coder-Ray/AuraTrace.git)!

## How to Contribute
- Report bugs via [GitHub Issues](https://github.com/Cosmos-Coder-Ray/AuraTrace.git/issues)
- Suggest features in [Discussions](https://github.com/Cosmos-Coder-Ray/AuraTrace.git/discussions)
- Submit pull requests (PRs) for code or documentation
- Help review and test PRs

## Code Style
- Follow [PEP8](https://www.python.org/dev/peps/pep-0008/) and use `black` for formatting
- Write clear, concise docstrings
- Add tests for new features

## Community Standards
- Be respectful and inclusive (see [Code of Conduct](../CODE_OF_CONDUCT.md))

## Development Setup
- See [Development](development.md) for environment setup

## More
- For questions, open a discussion or contact the maintainers via GitHub 