# Development Setup

This guide helps you set up a development environment for [AuraTrace](https://github.com/Cosmos-Coder-Ray/AuraTrace.git).

## 1. Clone the Repository
```bash
git clone https://github.com/Cosmos-Coder-Ray/AuraTrace.git
cd AuraTrace
```

## 2. Install Dependencies
```bash
pip install -e .[dev,all]
```

## 3. Run Tests
```bash
pytest
```

## 4. Code Style
- Use `black` for formatting
- Lint with `flake8`
- Type-check with `mypy`

## 5. Contributing
- See [Contributing Guide](contributing.md)

## 6. More
- For questions, see [GitHub](https://github.com/Cosmos-Coder-Ray/AuraTrace.git) 