# Performance Analysis

This tutorial shows how to analyze and optimize pipeline performance with [AuraTrace](https://github.com/Cosmos-Coder-Ray/AuraTrace.git).

## 1. Profile a Pipeline

```bash
auratrace run your_script.py
```

## 2. Detect Bottlenecks
- View performance summaries with `auratrace view`
- Identify slow operations and memory spikes

## 3. Use AI for Optimization
```bash
auratrace ask session.json "How can I optimize my pipeline?"
```

## 4. More
- See [Performance Tuning Guide](../performance-tuning.md)
- Full source: [GitHub](https://github.com/Cosmos-Coder-Ray/AuraTrace.git) 